> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# List

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/action-logs

List action logs

Reference: https://developer.icepanel.io/api-reference/landscapes/logs/list

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)

### Query parameters

- `filter` (ActionLogFilter, optional)
- `cursor` (string, optional)
- `limit` (double, optional) — The maximum number of items to return, defaults to 1000
- `order` (enum, optional)
  - Allowed values: `asc`, `desc`

## Response

### 200

OK

- `actionLogs` (list of ActionLog, required)
- `nextCursor` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### ActionLogFilter

- `actionId` (string, optional) — id of the entity to lookup, eg: id of the tag being created, or id of the model object being updated
- `actionType` (ActionLogFilterActionType, optional) — type of action that was performed, eg: diagram-content-update or model-object-create
- `endAtDate` (datetime, optional)
- `endBeforeDate` (datetime, optional)
- `includeActionsInContext` (boolean, optional) — include actions from objects inside the context, eg: update of a model connection that is connected to a model object
- `performedBy` (ActionLogFilterPerformedBy, optional)
- `performedById` (ActionLogFilterPerformedById, optional) — id of the user or api key who performed the action
- `startAfterDate` (datetime, optional)
- `startAtDate` (datetime, optional)
- `endAtId` (string, optional, deprecated) — use cursor instead
- `endBeforeId` (string, optional, deprecated) — use cursor instead
- `startAfterId` (string, optional, deprecated) — use cursor instead
- `startAtId` (string, optional, deprecated) — use cursor instead

### ActionLog

- `action` (Action, required) — full description of the action that happened
- `actionIds` (list of string, required) — id of the action and any related ids that were part of the action
- `id` (string, required)
- `landscapeId` (string, required)
- `parentId` (string, required, nullable) — parent action log id that caused this action to happen, eg: update of a diagram caused by a model object delete
- `performedAt` (datetime, required)
- `performedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `performedById` (string, required)
- `performedByAuthProvider` (string, optional)
- `performedByClientId` (string, optional)
- `performedByIp` (string, optional) — ip address of the user or api key who performed the action
- `performedByName` (string, optional)
- `performedByUserAgent` (string, optional)

### ActionLogFilterActionType

type of action that was performed, eg: diagram-content-update or model-object-create

- enum
  - Allowed values: `comment-create`, `comment-delete`, `comment-reply-create`, `comment-reply-delete`, `comment-reply-update`, `comment-update`, `diagram-content-create`, `diagram-content-delete`, `diagram-content-update`, `diagram-content-view`, `diagram-create`, `diagram-delete`, `diagram-export`, `diagram-group-create`, `diagram-group-delete`, `diagram-group-update`, `diagram-update`, `domain-create`, `domain-delete`, `domain-update`, `draft-create`, `draft-delete`, `draft-merge`, `draft-task-create`, `draft-update`, `draft-view`, `flow-create`, `flow-delete`, `flow-update`, `flow-view`, `landscape-copy`, `landscape-create`, `landscape-delete`, `landscape-duplicate`, `landscape-export`, `landscape-import`, `landscape-update`, `model-connection-create`, `model-connection-delete`, `model-connection-update`, `model-connections-export`, `model-object-create`, `model-object-delete`, `model-object-dependencies-export`, `model-object-update`, `model-objects-export`, `share-link-create`, `share-link-delete`, `share-link-update`, `tag-create`, `tag-delete`, `tag-group-create`, `tag-group-delete`, `tag-group-update`, `tag-update`, `version-create`, `version-delete`, `version-revert-create`
- list of enum
  - Allowed values: `comment-create`, `comment-delete`, `comment-reply-create`, `comment-reply-delete`, `comment-reply-update`, `comment-update`, `diagram-content-create`, `diagram-content-delete`, `diagram-content-update`, `diagram-content-view`, `diagram-create`, `diagram-delete`, `diagram-export`, `diagram-group-create`, `diagram-group-delete`, `diagram-group-update`, `diagram-update`, `domain-create`, `domain-delete`, `domain-update`, `draft-create`, `draft-delete`, `draft-merge`, `draft-task-create`, `draft-update`, `draft-view`, `flow-create`, `flow-delete`, `flow-update`, `flow-view`, `landscape-copy`, `landscape-create`, `landscape-delete`, `landscape-duplicate`, `landscape-export`, `landscape-import`, `landscape-update`, `model-connection-create`, `model-connection-delete`, `model-connection-update`, `model-connections-export`, `model-object-create`, `model-object-delete`, `model-object-dependencies-export`, `model-object-update`, `model-objects-export`, `share-link-create`, `share-link-delete`, `share-link-update`, `tag-create`, `tag-delete`, `tag-group-create`, `tag-group-delete`, `tag-group-update`, `tag-update`, `version-create`, `version-delete`, `version-revert-create`
- ActionLogFilterActionType2

### ActionLogFilterPerformedBy

- enum
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- list of enum
  - Allowed values: `user`, `api-key`, `notification-key`, `service`

### ActionLogFilterPerformedById

id of the user or api key who performed the action

- string
- list of string

### Action

- OrganizationAction
- LandscapeAction

### ActionLogFilterActionType2

- `$not` (ActionLogFilterActionTypeOneOf2Not, optional)

### OrganizationAction

- ActionApiKey
- ActionOAuth
- ActionOrganization
- ActionOrganizationUser
- ActionOrganizationUserInvite
- ActionTeam
- ActionUser

### LandscapeAction

- ActionCommentCreate
- ActionCommentUpdate
- ActionCommentDelete
- ActionCommentReplyCreate
- ActionCommentReplyUpdate
- ActionCommentReplyDelete
- ActionDiagramContentCreate
- ActionDiagramContentUpdate
- ActionDiagramContentDelete
- ActionDiagramContentView
- ActionDiagram
- ActionDiagramGroupCreate
- ActionDiagramGroupUpdate
- ActionDiagramGroupDelete
- ActionDomainCreate
- ActionDomainUpdate
- ActionDomainDelete
- ActionDraft
- ActionDraftTaskCreate
- ActionLandscape
- ActionModelObject
- ActionModelConnection
- ActionShareLink
- ActionFlowCreate
- ActionFlowUpdate
- ActionFlowDelete
- ActionFlowView
- ActionTagCreate
- ActionTagUpdate
- ActionTagDelete
- ActionTagGroupCreate
- ActionTagGroupUpdate
- ActionTagGroupDelete
- ActionVersion

### ActionLogFilterActionTypeOneOf2Not

- enum
  - Allowed values: `comment-create`, `comment-delete`, `comment-reply-create`, `comment-reply-delete`, `comment-reply-update`, `comment-update`, `diagram-content-create`, `diagram-content-delete`, `diagram-content-update`, `diagram-content-view`, `diagram-create`, `diagram-delete`, `diagram-export`, `diagram-group-create`, `diagram-group-delete`, `diagram-group-update`, `diagram-update`, `domain-create`, `domain-delete`, `domain-update`, `draft-create`, `draft-delete`, `draft-merge`, `draft-task-create`, `draft-update`, `draft-view`, `flow-create`, `flow-delete`, `flow-update`, `flow-view`, `landscape-copy`, `landscape-create`, `landscape-delete`, `landscape-duplicate`, `landscape-export`, `landscape-import`, `landscape-update`, `model-connection-create`, `model-connection-delete`, `model-connection-update`, `model-connections-export`, `model-object-create`, `model-object-delete`, `model-object-dependencies-export`, `model-object-update`, `model-objects-export`, `share-link-create`, `share-link-delete`, `share-link-update`, `tag-create`, `tag-delete`, `tag-group-create`, `tag-group-delete`, `tag-group-update`, `tag-update`, `version-create`, `version-delete`, `version-revert-create`
- list of enum
  - Allowed values: `comment-create`, `comment-delete`, `comment-reply-create`, `comment-reply-delete`, `comment-reply-update`, `comment-update`, `diagram-content-create`, `diagram-content-delete`, `diagram-content-update`, `diagram-content-view`, `diagram-create`, `diagram-delete`, `diagram-export`, `diagram-group-create`, `diagram-group-delete`, `diagram-group-update`, `diagram-update`, `domain-create`, `domain-delete`, `domain-update`, `draft-create`, `draft-delete`, `draft-merge`, `draft-task-create`, `draft-update`, `draft-view`, `flow-create`, `flow-delete`, `flow-update`, `flow-view`, `landscape-copy`, `landscape-create`, `landscape-delete`, `landscape-duplicate`, `landscape-export`, `landscape-import`, `landscape-update`, `model-connection-create`, `model-connection-delete`, `model-connection-update`, `model-connections-export`, `model-object-create`, `model-object-delete`, `model-object-dependencies-export`, `model-object-update`, `model-objects-export`, `share-link-create`, `share-link-delete`, `share-link-update`, `tag-create`, `tag-delete`, `tag-group-create`, `tag-group-delete`, `tag-group-update`, `tag-update`, `version-create`, `version-delete`, `version-revert-create`

### ActionApiKey

- ActionApiKeyCreate
- ActionApiKeyUpdate
- ActionApiKeyDelete

### ActionOAuth

- ActionOAuthConsentDeny
- ActionOAuthConsentGrant

### ActionOrganization

- ActionOrganizationCreate
- ActionOrganizationUpdate
- ActionOrganizationDelete

### ActionOrganizationUser

- ActionOrganizationUserAdd
- ActionOrganizationUserUpdate
- ActionOrganizationUserRemove

### ActionOrganizationUserInvite

- ActionOrganizationUserInviteCreate
- ActionOrganizationUserInviteRevoke

### ActionTeam

- ActionTeamCreate
- ActionTeamUpdate
- ActionTeamDelete

### ActionUser

- ActionUserLogin
- ActionUserLoginFailed
- ActionUserLogout

### ActionCommentCreate

- `context` (ActionCommentCreateContext, required)
- `id` (string, required)
- `props` (CommentRequired, required)
- `type` (enum, required)
  - Allowed values: `comment-create`

### ActionCommentUpdate

- `context` (ActionCommentUpdateContext, required)
- `id` (string, required)
- `props` (CommentPartial, required)
- `type` (enum, required)
  - Allowed values: `comment-update`

### ActionCommentDelete

- `context` (ActionCommentDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `comment-delete`

### ActionCommentReplyCreate

- `context` (ActionCommentReplyCreateContext, required)
- `id` (string, required)
- `props` (CommentReplyRequired, required)
- `type` (enum, required)
  - Allowed values: `comment-reply-create`

### ActionCommentReplyUpdate

- `context` (ActionCommentReplyUpdateContext, required)
- `id` (string, required)
- `props` (CommentReplyPartial, required)
- `type` (enum, required)
  - Allowed values: `comment-reply-update`

### ActionCommentReplyDelete

- `context` (ActionCommentReplyDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `comment-reply-delete`

### ActionDiagramContentCreate

- `context` (ActionDiagramContentCreateContext, required)
- `id` (string, required)
- `props` (DiagramContentRequired, required)
- `type` (enum, required)
  - Allowed values: `diagram-content-create`

### ActionDiagramContentUpdate

- `context` (ActionDiagramContentUpdateContext, required)
- `id` (string, required)
- `props` (DiagramContentPartial, required)
- `type` (enum, required)
  - Allowed values: `diagram-content-update`

### ActionDiagramContentDelete

- `context` (ActionDiagramContentDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `diagram-content-delete`

### ActionDiagramContentView

- `context` (ActionDiagramContentViewContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `diagram-content-view`

### ActionDiagram

- ActionDiagramCreate
- ActionDiagramUpdate
- ActionDiagramExport
- ActionDiagramDelete

### ActionDiagramGroupCreate

- `context` (ActionDiagramGroupCreateContext, required)
- `id` (string, required)
- `props` (DiagramGroupRequired, required)
- `type` (enum, required)
  - Allowed values: `diagram-group-create`

### ActionDiagramGroupUpdate

- `context` (ActionDiagramGroupUpdateContext, required)
- `id` (string, required)
- `props` (DiagramGroupPartial, required)
- `type` (enum, required)
  - Allowed values: `diagram-group-update`

### ActionDiagramGroupDelete

- `context` (ActionDiagramGroupDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `diagram-group-delete`

### ActionDomainCreate

- `id` (string, required)
- `props` (DomainRequired, required)
- `type` (enum, required)
  - Allowed values: `domain-create`

### ActionDomainUpdate

- `context` (ActionDomainUpdateContext, required)
- `id` (string, required)
- `props` (DomainPartial, required)
- `type` (enum, required)
  - Allowed values: `domain-update`

### ActionDomainDelete

- `context` (ActionDomainDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `domain-delete`

### ActionDraft

- ActionDraftCreate
- ActionDraftUpdate
- ActionDraftView
- ActionDraftMerge
- ActionDraftDelete

### ActionDraftTaskCreate

- `context` (ActionDraftTaskCreateContext, required)
- `id` (string, required)
- `props` (DraftTaskRequired, required)
- `type` (enum, required)
  - Allowed values: `draft-task-create`

### ActionLandscape

- ActionLandscapeCreate
- ActionLandscapeUpdate
- ActionLandscapeDuplicate
- ActionLandscapeCopy
- ActionLandscapeDelete
- ActionLandscapeExport
- ActionLandscapeImport

### ActionModelObject

- ActionModelObjectCreate
- ActionModelObjectUpdate
- ActionModelObjectDependenciesExport
- ActionModelObjectsExport
- ActionModelObjectDelete

### ActionModelConnection

- ActionModelConnectionCreate
- ActionModelConnectionUpdate
- ActionModelConnectionsExport
- ActionModelConnectionDelete

### ActionShareLink

- ActionShareLinkCreate
- ActionShareLinkUpdate
- ActionShareLinkDelete

### ActionFlowCreate

- `context` (ActionFlowCreateContext, required)
- `id` (string, required)
- `props` (FlowRequired, required)
- `type` (enum, required)
  - Allowed values: `flow-create`

### ActionFlowUpdate

- `context` (ActionFlowUpdateContext, required)
- `id` (string, required)
- `props` (FlowPartial, required)
- `type` (enum, required)
  - Allowed values: `flow-update`

### ActionFlowDelete

- `context` (ActionFlowDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `flow-delete`

### ActionFlowView

- `context` (ActionFlowViewContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `flow-view`

### ActionTagCreate

- `context` (ActionTagCreateContext, required)
- `id` (string, required)
- `props` (TagRequired, required)
- `type` (enum, required)
  - Allowed values: `tag-create`

### ActionTagUpdate

- `context` (ActionTagUpdateContext, required)
- `id` (string, required)
- `props` (TagPartial, required)
- `type` (enum, required)
  - Allowed values: `tag-update`

### ActionTagDelete

- `context` (ActionTagDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `tag-delete`

### ActionTagGroupCreate

- `id` (string, required)
- `props` (TagGroupRequired, required)
- `type` (enum, required)
  - Allowed values: `tag-group-create`

### ActionTagGroupUpdate

- `context` (ActionTagGroupUpdateContext, required)
- `id` (string, required)
- `props` (TagGroupPartial, required)
- `type` (enum, required)
  - Allowed values: `tag-group-update`

### ActionTagGroupDelete

- `context` (ActionTagGroupDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `tag-group-delete`

### ActionVersion

- ActionVersionCreate
- ActionVersionDelete
- ActionVersionRevertCreate

### ActionApiKeyCreate

- `id` (string, required)
- `props` (ApiKeyRequired, required)
- `type` (enum, required)
  - Allowed values: `api-key-create`

### ActionApiKeyUpdate

- `context` (ActionApiKeyContext, required)
- `id` (string, required)
- `props` (ApiKeyPartial, required)
- `type` (enum, required)
  - Allowed values: `api-key-update`

### ActionApiKeyDelete

- `context` (ActionApiKeyContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `api-key-delete`

### ActionOAuthConsentDeny

- `id` (string, required)
- `props` (ActionOAuthConsentDenyProps, required)
- `type` (enum, required)
  - Allowed values: `oauth-consent-deny`

### ActionOAuthConsentGrant

- `id` (string, required)
- `props` (ActionOAuthConsentGrantProps, required)
- `type` (enum, required)
  - Allowed values: `oauth-consent-grant`

### ActionOrganizationCreate

- `context` (ActionOrganizationCreateContext, required)
- `id` (string, required)
- `props` (OrganizationRequired, required)
- `type` (enum, required)
  - Allowed values: `organization-create`

### ActionOrganizationUpdate

- `context` (ActionOrganizationUpdateContext, required)
- `id` (string, required)
- `props` (OrganizationPartial, required)
- `type` (enum, required)
  - Allowed values: `organization-update`

### ActionOrganizationDelete

- `context` (ActionOrganizationDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `organization-delete`

### ActionOrganizationUserAdd

- `context` (ActionOrganizationUserAddContext, required)
- `id` (string, required)
- `props` (OrganizationUser, required)
- `type` (enum, required)
  - Allowed values: `organization-user-add`

### ActionOrganizationUserUpdate

- `context` (ActionOrganizationUserUpdateContext, required)
- `id` (string, required)
- `props` (OrganizationUser, required)
- `type` (enum, required)
  - Allowed values: `organization-user-update`

### ActionOrganizationUserRemove

- `context` (ActionOrganizationUserRemoveContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `organization-user-remove`

### ActionOrganizationUserInviteCreate

- `context` (ActionOrganizationUserInviteCreateContext, required)
- `id` (string, required)
- `props` (OrganizationUserInviteRequired, required)
- `type` (enum, required)
  - Allowed values: `organization-user-invite-create`

### ActionOrganizationUserInviteRevoke

- `context` (ActionOrganizationUserInviteRevokeContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `organization-user-invite-revoke`

### ActionTeamCreate

- `context` (ActionTeamCreateContext, required)
- `id` (string, required)
- `props` (TeamRequired, required)
- `type` (enum, required)
  - Allowed values: `team-create`

### ActionTeamUpdate

- `context` (ActionTeamUpdateContext, required)
- `id` (string, required)
- `props` (TeamPartial, required)
- `type` (enum, required)
  - Allowed values: `team-update`

### ActionTeamDelete

- `context` (ActionTeamDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `team-delete`

### ActionUserLogin

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `user-login`

### ActionUserLoginFailed

- `id` (string, required)
- `props` (ActionUserLoginFailedProps, required)
- `type` (enum, required)
  - Allowed values: `user-login-failed`

### ActionUserLogout

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `user-logout`

### ActionCommentCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `targetHandleId` (string, optional)
- `targetName` (string, optional)

### CommentRequired

- `body` (CommentBody, required)
- `commit` (double, optional)
- `mentionedUserIds` (list of string, optional)
- `handleId` (string, optional)

### ActionCommentUpdateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `targetHandleId` (string, optional)
- `targetName` (string, optional)

### CommentPartial

- `body` (CommentBody, optional)
- `commit` (double, optional)
- `mentionedUserIds` (list of string, optional)

### ActionCommentDeleteContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `targetHandleId` (string, optional)
- `targetName` (string, optional)

### ActionCommentReplyCreateContext

- `commentHandleId` (string, optional)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)

### CommentReplyRequired

- `content` (string, required)
- `mentionedUserIds` (list of string, optional)

### ActionCommentReplyUpdateContext

- `commentHandleId` (string, optional)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)

### CommentReplyPartial

- `content` (string, optional)
- `mentionedUserIds` (list of string, optional)

### ActionCommentReplyDeleteContext

- `commentHandleId` (string, optional)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)

### ActionDiagramContentCreateContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `comments` (map from string to ActionDiagramContentContextComment, optional)
- `connections` (map from string to ActionDiagramContentContextConnection, optional)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `objects` (map from string to ActionDiagramContentContextObject, optional)

### DiagramContentRequired

- `comments` (map from string to DiagramComment, optional) — The comments on the diagram, keyed by comment id
- `commit` (double, optional) — The commit number of the diagram content, incremented on each change
- `connections` (map from string to DiagramConnectionRequired, optional) — The connections on the diagram, keyed by connection id
- `objects` (map from string to DiagramObjectRequired, optional) — The objects on the diagram, keyed by object id

### ActionDiagramContentUpdateContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `comments` (map from string to ActionDiagramContentContextComment, optional)
- `connections` (map from string to ActionDiagramContentContextConnection, optional)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `objects` (map from string to ActionDiagramContentContextObject, optional)

### DiagramContentPartial

- `comments` (DiagramContentPartialComments, optional) — Operations to apply to the comments on the diagram
- `commit` (double, optional) — The commit number of the diagram content, incremented on each change
- `connections` (DiagramContentPartialConnections, optional) — Operations to apply to the connections on the diagram
- `objects` (DiagramContentPartialObjects, optional) — Operations to apply to the objects on the diagram

### ActionDiagramContentDeleteContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionDiagramContentViewContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionDiagramCreate

- `context` (ActionDiagramCreateContext, required)
- `id` (string, required)
- `props` (DiagramRequired, required)
- `type` (enum, required)
  - Allowed values: `diagram-create`

### ActionDiagramUpdate

- `context` (ActionDiagramUpdateContext, required)
- `id` (string, required)
- `props` (DiagramPartial, required)
- `type` (enum, required)
  - Allowed values: `diagram-update`

### ActionDiagramExport

- `context` (ActionDiagramExportContext, required)
- `id` (string, required)
- `props` (ActionDiagramExportProps, required)
- `type` (enum, required)
  - Allowed values: `diagram-export`

### ActionDiagramDelete

- `context` (ActionDiagramDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `diagram-delete`

### ActionDiagramGroupCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### DiagramGroupRequired

- `modelId` (string, required)
- `name` (string, required)
- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `handleId` (string, optional)

### ActionDiagramGroupUpdateContext

- `name` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### DiagramGroupPartial

- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `modelId` (string, optional)
- `name` (string, optional)

### ActionDiagramGroupDeleteContext

- `name` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### DomainRequired

- `name` (string, required)
- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `handleId` (string, optional)

### ActionDomainUpdateContext

- `name` (string, required)

### DomainPartial

- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)

### ActionDomainDeleteContext

- `name` (string, required)

### ActionDraftCreate

- `context` (ActionDraftCreateContext, required)
- `id` (string, required)
- `props` (DraftRequired, required)
- `type` (enum, required)
  - Allowed values: `draft-create`
- `ids` (list of string, optional)

### ActionDraftUpdate

- `context` (ActionDraftUpdateContext, required)
- `id` (string, required)
- `props` (DraftPartial, required)
- `type` (enum, required)
  - Allowed values: `draft-update`

### ActionDraftView

- `context` (ActionDraftViewContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-view`

### ActionDraftMerge

- `context` (ActionDraftMergeContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-merge`

### ActionDraftDelete

- `context` (ActionDraftDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-delete`

### ActionDraftTaskCreateContext

- `draftName` (string, required)

### DraftTaskRequired

- `task` (DraftTask, required)
- `commit` (double, optional)

### ActionLandscapeCreate

- `context` (ActionLandscapeCreateContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `landscape-create`

### ActionLandscapeUpdate

- `context` (ActionLandscapeUpdateContext, required)
- `id` (string, required)
- `props` (LandscapePartial, required)
- `type` (enum, required)
  - Allowed values: `landscape-update`

### ActionLandscapeDuplicate

- `context` (ActionLandscapeDuplicateContext, required)
- `id` (string, required)
- `props` (ActionLandscapeDuplicateProps, required)
- `type` (enum, required)
  - Allowed values: `landscape-duplicate`

### ActionLandscapeCopy

- `context` (ActionLandscapeCopyContext, required)
- `id` (string, required)
- `props` (ActionLandscapeCopyProps, required)
- `type` (enum, required)
  - Allowed values: `landscape-copy`

### ActionLandscapeDelete

- `context` (ActionLandscapeDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `landscape-delete`

### ActionLandscapeExport

- `context` (ActionLandscapeExportContext, required)
- `id` (string, required)
- `props` (ActionLandscapeExportProps, required)
- `type` (enum, required)
  - Allowed values: `landscape-export`

### ActionLandscapeImport

- `context` (ActionLandscapeImportContext, required)
- `id` (string, required)
- `props` (ActionLandscapeImportProps, required)
- `type` (enum, required)
  - Allowed values: `landscape-import`

### ActionModelObjectCreate

- `context` (ActionModelObjectCreateContext, required)
- `id` (string, required)
- `props` (ModelObjectRequired, required)
- `type` (enum, required)
  - Allowed values: `model-object-create`

### ActionModelObjectUpdate

- `context` (ActionModelObjectUpdateContext, required)
- `id` (string, required)
- `props` (ModelObjectPartial, required)
- `type` (enum, required)
  - Allowed values: `model-object-update`

### ActionModelObjectDependenciesExport

- `context` (ActionModelObjectDependenciesExportContext, required)
- `id` (string, required)
- `props` (ActionModelObjectDependenciesExportProps, required)
- `type` (enum, required)
  - Allowed values: `model-object-dependencies-export`

### ActionModelObjectsExport

- `context` (ActionModelObjectsExportContext, required)
- `id` (string, required)
- `props` (ActionModelObjectsExportProps, required)
- `type` (enum, required)
  - Allowed values: `model-objects-export`

### ActionModelObjectDelete

- `context` (ActionModelObjectDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `model-object-delete`

### ActionModelConnectionCreate

- `context` (ActionModelConnectionCreateContext, required)
- `id` (string, required)
- `props` (ModelConnectionRequired, required)
- `type` (enum, required)
  - Allowed values: `model-connection-create`

### ActionModelConnectionUpdate

- `context` (ActionModelConnectionUpdateContext, required)
- `id` (string, required)
- `props` (ModelConnectionPartial, required)
- `type` (enum, required)
  - Allowed values: `model-connection-update`

### ActionModelConnectionsExport

- `context` (ActionModelConnectionsExportContext, required)
- `id` (string, required)
- `props` (ActionModelConnectionsExportProps, required)
- `type` (enum, required)
  - Allowed values: `model-connections-export`

### ActionModelConnectionDelete

- `context` (ActionModelConnectionDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `model-connection-delete`

### ActionShareLinkCreate

- `context` (ActionShareLinkCreateContext, required)
- `id` (string, required)
- `props` (ShareLinkRequired, required)
- `type` (enum, required)
  - Allowed values: `share-link-create`

### ActionShareLinkUpdate

- `context` (ActionShareLinkUpdateContext, required)
- `id` (string, required)
- `props` (ActionShareLinkUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `share-link-update`

### ActionShareLinkDelete

- `context` (ActionShareLinkDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `share-link-delete`

### ActionFlowCreateContext

- `diagramHandleId` (string, optional)
- `diagramName` (string, optional)
- `diagramType` (enum, optional)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### FlowRequired

- `name` (string, required)
- `diagramId` (string, required)
- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `showAllSteps` (boolean, optional)
- `showConnectionNames` (boolean, optional)
- `steps` (map from string to FlowStep, optional)
- `handleId` (string, optional)

### ActionFlowUpdateContext

- `name` (string, required)
- `diagramHandleId` (string, optional)
- `diagramName` (string, optional)
- `diagramType` (enum, optional)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `objects` (map from string to ActionFlowContextObject, optional)

### FlowPartial

- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `showAllSteps` (boolean, optional)
- `showConnectionNames` (boolean, optional)
- `steps` (FlowPartialSteps, optional)

### ActionFlowDeleteContext

- `name` (string, required)
- `diagramHandleId` (string, optional)
- `diagramName` (string, optional)
- `diagramType` (enum, optional)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionFlowViewContext

- `name` (string, required)
- `diagramHandleId` (string, optional)
- `diagramName` (string, optional)
- `diagramType` (enum, optional)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionTagCreateContext

- `groupHandleId` (string, optional)
- `groupName` (string, optional)

### TagRequired

- `color` (enum, required)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `groupId` (string, required)
- `index` (double, required)
- `name` (string, required)
- `commit` (double, optional)
- `labels` (map from string to string, optional)
- `handleId` (string, optional)

### ActionTagUpdateContext

- `name` (string, required)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)

### TagPartial

- `color` (enum, optional)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `commit` (double, optional)
- `groupId` (string, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)

### ActionTagDeleteContext

- `name` (string, required)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)

### TagGroupRequired

- `icon` (enum, required)
  - Allowed values: `bug`, `calendar-check`, `calendar-times`, `cloud`, `cog`, `database`, `exclamation-triangle`, `file`, `globe`, `laptop-code`, `lightbulb`, `lock`, `microchip`, `minus`, `mobile`, `network-wired`, `plus`, `poo`, `robot`, `rocket`, `sack-dollar`, `server`, `sledding`, `snowman`, `star`, `times`, `toolbox`, `trash`, `users`, `wifi`
- `index` (double, required)
- `name` (string, required)
- `commit` (double, optional)
- `labels` (map from string to string, optional)
- `handleId` (string, optional)

### ActionTagGroupUpdateContext

- `name` (string, required)

### TagGroupPartial

- `commit` (double, optional)
- `icon` (enum, optional)
  - Allowed values: `bug`, `calendar-check`, `calendar-times`, `cloud`, `cog`, `database`, `exclamation-triangle`, `file`, `globe`, `laptop-code`, `lightbulb`, `lock`, `microchip`, `minus`, `mobile`, `network-wired`, `plus`, `poo`, `robot`, `rocket`, `sack-dollar`, `server`, `sledding`, `snowman`, `star`, `times`, `toolbox`, `trash`, `users`, `wifi`
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)

### ActionTagGroupDeleteContext

- `name` (string, required)

### ActionVersionCreate

- `context` (ActionVersionCreateContext, required)
- `id` (string, required)
- `props` (VersionRequired, required)
- `type` (enum, required)
  - Allowed values: `version-create`

### ActionVersionDelete

- `context` (ActionVersionDeleteContext, required)
- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `version-delete`

### ActionVersionRevertCreate

- `context` (ActionVersionRevertContext, required)
- `id` (string, required)
- `props` (VersionRevertRequired, required)
- `type` (enum, required)
  - Allowed values: `version-revert-create`

### ApiKeyRequired

- `name` (string, required)
- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`

### ActionApiKeyContext

- `name` (string, required)

### ApiKeyPartial

- `name` (string, optional)
- `permission` (enum, optional)
  - Allowed values: `billing`, `read`, `write`, `admin`

### ActionOAuthConsentDenyProps

- `clientName` (string, required)

### ActionOAuthConsentGrantProps

- `clientName` (string, required)
- `landscapeId` (string, required)

### ActionOrganizationCreateContext

- `name` (string, required)

### OrganizationRequired

- `name` (string, required)
- `aiFeatures` (OrganizationAIFeatures, optional) — AI features that are enabled for the organization
- `aiFeaturesEnabled` (boolean, optional) — Whether to enable all AI features for the organization
- `aiModel` (enum, optional)
  - Allowed values: `gpt-5`, `gpt-5-mini`, `gpt-5-nano`
- `billingCurrency` (enum, optional)
  - Allowed values: `usd`, `cad`, `eur`, `gbp`
- `billingCycle` (enum, optional)
  - Allowed values: `monthly`, `annually`
- `billingEmail` (string, optional)
- `experiments` (map from string to boolean, optional)
- `language` (enum, optional)
  - Allowed values: `en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-419`
- `lineShapeDefault` (enum, optional) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `oauthLandscapeWriteEnabled` (boolean, optional) — Whether OAuth connections can make changes to landscape data
- `shareLinkAuthDomains` (list of string, optional, nullable)
- `shareLinksEnabled` (boolean, optional)

### ActionOrganizationUpdateContext

- `name` (string, required)

### OrganizationPartial

- `aiFeatures` (OrganizationAIFeatures, optional) — AI features that are enabled for the organization
- `aiFeaturesEnabled` (boolean, optional) — Whether to enable all AI features for the organization
- `aiModel` (enum, optional)
  - Allowed values: `gpt-5`, `gpt-5-mini`, `gpt-5-nano`
- `billingCurrency` (enum, optional)
  - Allowed values: `usd`, `cad`, `eur`, `gbp`
- `billingCycle` (enum, optional)
  - Allowed values: `monthly`, `annually`
- `billingEmail` (string, optional)
- `experiments` (map from string to boolean, optional)
- `language` (enum, optional)
  - Allowed values: `en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-419`
- `lineShapeDefault` (enum, optional) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `name` (string, optional)
- `oauthLandscapeWriteEnabled` (boolean, optional) — Whether OAuth connections can make changes to landscape data
- `shareLinkAuthDomains` (list of string, optional, nullable)
- `shareLinksEnabled` (boolean, optional)

### ActionOrganizationDeleteContext

- `name` (string, required)

### ActionOrganizationUserAddContext

- `email` (string, required)
- `landscapeNames` (map from string to string, optional)
- `name` (string, optional)

### OrganizationUser

- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapePermissions` (map from string to boolean, optional)

### ActionOrganizationUserUpdateContext

- `email` (string, required)
- `landscapeNames` (map from string to string, optional)
- `name` (string, optional)

### ActionOrganizationUserRemoveContext

- `email` (string, required)
- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapeNames` (map from string to string, optional)
- `landscapePermissions` (map from string to boolean, optional)
- `name` (string, optional)

### ActionOrganizationUserInviteCreateContext

- `landscapeNames` (map from string to string, optional)

### OrganizationUserInviteRequired

- `email` (string, required)
- `expiresAt` (datetime, required)
- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapePermissions` (map from string to boolean, optional)

### ActionOrganizationUserInviteRevokeContext

- `email` (string, required)
- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapeNames` (map from string to string, optional)

### ActionTeamCreateContext

- `userNames` (map from string to string, optional)

### TeamRequired

- `name` (string, required)
- `color` (enum, optional)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `userIds` (list of string, optional)

### ActionTeamUpdateContext

- `name` (string, required)
- `userNames` (map from string to string, optional)

### TeamPartial

- `color` (enum, optional)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `name` (string, optional)
- `userIds` (list of string, optional)

### ActionTeamDeleteContext

- `name` (string, required)
- `userNames` (map from string to string, optional)

### ActionUserLoginFailedProps

- `code` (string, required)
- `message` (string, required)

### ActionContextModelObject

- `handleId` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`

### CommentBody

- CommentBodyQuestion
- CommentBodyInaccuracy
- CommentBodyIdea
- CommentBodyNewQuestion
- CommentBodyNewInaccuracy
- CommentBodyNewIdea

### ActionDiagramContentContextComment

- `commentBodyType` (enum, required)
  - Allowed values: `idea`, `inaccurate`, `new-idea`, `new-inaccurate`, `new-question`, `question`
- `commentHandleId` (string, required)

### ActionDiagramContentContextConnection

- `modelHandleId` (string, required, nullable)
- `modelName` (string, required, nullable)

### ActionDiagramContentContextObject

- `modelHandleId` (string, required)
- `modelName` (string, required)
- `modelType` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `store`, `system`

### DiagramComment

- `commentId` (string, required) — The id of the comment this marker displays
- `id` (string, required) — The id of the comment marker, unique within the diagram
- `x` (double, required) — The x position of the comment on the diagram
- `y` (double, required) — The y position of the comment on the diagram

### DiagramConnectionRequired

- `modelId` (string, required, nullable) — The id of the model connection this connection represents
- `originId` (string, required, nullable) — The id of the diagram object the connection starts from
- `targetId` (string, required, nullable) — The id of the diagram object the connection ends at
- `breakpoints` (list of DiagramConnectionRequiredBreakpointsItems, optional) — User-controlled corner waypoints the connection routes through, ordered origin to target. Only valid on square connections, breakpoints are not stored on any other line shape and setting them on one is rejected. The path must be a valid orthogonal L-shape: consecutive breakpoints share an x or a y (no diagonals), no two are identical, and every interior breakpoint is a right-angle corner (segments alternate horizontal/vertical, no collinear or backtracking points).
- `labelPosition` (double, optional) — The percentage along the line where the label should be placed, defaults to 50
- `lineShape` (enum, optional) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `originConnector` (enum, optional) — The anchor point on the edge of the origin object where the connection attaches
  - Allowed values: `top-left`, `top-center`, `top-right`, `right-top`, `right-middle`, `right-bottom`, `bottom-right`, `bottom-center`, `bottom-left`, `left-bottom`, `left-middle`, `left-top`
- `targetConnector` (enum, optional) — The anchor point on the edge of the target object where the connection attaches
  - Allowed values: `top-left`, `top-center`, `top-right`, `right-top`, `right-middle`, `right-bottom`, `bottom-right`, `bottom-center`, `bottom-left`, `left-bottom`, `left-middle`, `left-top`
- `points` (list of DiagramConnectionRequiredPointsItems, optional, deprecated) — Deprecated: points are now computed automatically

### DiagramObjectRequired

- `modelId` (string, required) — The id of the model object this object represents
- `shape` (enum, required)
  - Allowed values: `area`, `box`
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `store`, `system`
- `x` (double, required) — The x position of the object. Calculated automatically for area shapes, set to 0 when creating an area
- `y` (double, required) — The y position of the object. Calculated automatically for area shapes, set to 0 when creating an area
- `height` (double, optional) — The height of the object. Calculated automatically for area shapes, set to 0 when creating an area, defaults to 128
- `width` (double, optional) — The width of the object. Calculated automatically for area shapes, set to 0 when creating an area, defaults to 256

### DiagramContentPartialComments

Operations to apply to the comments on the diagram

- `$add` (map from string to DiagramComment, optional) — Add new comments to the diagram, keyed by comment id
- `$remove` (list of string, optional) — Remove comments from the diagram by id
- `$replace` (map from string to DiagramComment, optional) — Replace all comments on the diagram, keyed by comment id
- `$update` (map from string to DiagramCommentPartial, optional) — Update existing comments on the diagram, keyed by comment id

### DiagramContentPartialConnections

Operations to apply to the connections on the diagram

- `$add` (map from string to DiagramConnectionRequired, optional) — Add new connections to the diagram, keyed by connection id
- `$remove` (list of string, optional) — Remove connections from the diagram by id
- `$replace` (map from string to DiagramConnectionRequired, optional) — Replace all connections on the diagram, keyed by connection id
- `$update` (map from string to DiagramConnectionPartial, optional) — Update existing connections on the diagram, keyed by connection id

### DiagramContentPartialObjects

Operations to apply to the objects on the diagram

- `$add` (map from string to DiagramObjectRequired, optional) — Add new objects to the diagram, keyed by object id
- `$remove` (list of string, optional) — Remove objects from the diagram by id
- `$replace` (map from string to DiagramObjectRequired, optional) — Replace all objects on the diagram, keyed by object id
- `$update` (map from string to DiagramObjectPartial, optional) — Update existing objects on the diagram, keyed by object id

### ActionDiagramCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### DiagramRequired

- `index` (double, required)
- `modelId` (string, required) — model object id this object belongs to
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `commit` (double, optional)
- `description` (string, optional)
- `groupId` (string, optional, nullable)
- `labels` (map from string to string, optional)
- `parentId` (string, optional, nullable)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `status` (enum, optional)
  - Allowed values: `current`
- `zoomOverrides` (map from string to string, optional, nullable) — Custom zoom levels for specific model objects within the diagram. The key is the modelObjectId and the value is the diagram id.
- `handleId` (string, optional)

### ActionDiagramUpdateContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupHandleId` (string, optional)
- `groupName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### DiagramPartial

- `commit` (double, optional)
- `description` (string, optional)
- `groupId` (string, optional, nullable)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `modelId` (string, optional) — model object id this object belongs to
- `name` (string, optional)
- `parentId` (string, optional, nullable)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `status` (enum, optional)
  - Allowed values: `current`
- `zoomOverrides` (map from string to string, optional, nullable) — Custom zoom levels for specific model objects within the diagram. The key is the modelObjectId and the value is the diagram id.

### ActionDiagramExportContext

- `diagramName` (string, required)
- `diagramType` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `versionName` (string, required)
- `draftHandleId` (string, optional)
- `draftName` (string, optional)
- `flowHandleId` (string, optional)
- `flowName` (string, optional)

### ActionDiagramExportProps

- `bucketPath` (string, required)
- `filename` (string, required)
- `versionId` (string, required)
- `options` (DiagramExportImageOptions, optional)

### ActionDiagramDeleteContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionDraftCreateContext

- `name` (string, required)
- `versionName` (string, optional)

### DraftRequired

- `name` (string, required)
- `status` (enum, required)
  - Allowed values: `in-progress`, `merged`, `archived`
- `changeSummary` (DraftChangeSummary, optional)
- `commit` (double, optional)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)
- `summaryDirtiedAt` (datetime, optional)

### ActionDraftUpdateContext

- `name` (string, required)

### DraftPartial

- `changeSummary` (DraftChangeSummary, optional)
- `commit` (double, optional)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)
- `status` (enum, optional)
  - Allowed values: `in-progress`, `merged`, `archived`
- `summaryDirtiedAt` (datetime, optional)

### ActionDraftViewContext

- `name` (string, required)

### ActionDraftMergeContext

- `name` (string, required)

### ActionDraftDeleteContext

- `name` (string, required)
- `versionName` (string, optional)

### DraftTask

- DraftTaskCommentCreate
- DraftTaskCommentUpdate
- DraftTaskCommentDelete
- DraftTaskCommentReplyCreate
- DraftTaskCommentReplyUpdate
- DraftTaskCommentReplyDelete
- DraftTaskDiagramCreate
- DraftTaskDiagramUpdate
- DraftTaskDiagramDelete
- DraftTaskDiagramContentUpdate
- DraftTaskDiagramGroupCreate
- DraftTaskDiagramGroupUpdate
- DraftTaskDiagramGroupDelete
- DraftTaskModelObjectCreate
- DraftTaskModelObjectUpdate
- DraftTaskModelObjectDelete
- DraftTaskModelConnectionCreate
- DraftTaskModelConnectionUpdate
- DraftTaskModelConnectionDelete
- DraftTaskFlowCreate
- DraftTaskFlowUpdate
- DraftTaskFlowDelete
- DraftTaskTagCreate
- DraftTaskTagUpdate
- DraftTaskTagDelete
- DraftTaskTagGroupCreate
- DraftTaskTagGroupUpdate
- DraftTaskTagGroupDelete

### ActionLandscapeCreateContext

- `name` (string, required)
- `backstageImport` (boolean, optional)
- `structurizrImport` (boolean, optional)

### ActionLandscapeUpdateContext

- `name` (string, required)

### LandscapePartial

- `name` (string, optional)
- `organizationId` (string, optional)
- `scheduledVersions` (boolean, optional)

### ActionLandscapeDuplicateContext

- `name` (string, required)
- `targetOrganizationName` (string, optional)

### ActionLandscapeDuplicateProps

- `targetOrganizationId` (string, optional)

### ActionLandscapeCopyContext

- `name` (string, required)
- `targetLandscapeName` (string, required)

### ActionLandscapeCopyProps

- `targetLandscapeId` (string, required)

### ActionLandscapeDeleteContext

- `name` (string, required)

### ActionLandscapeExportContext

- `landscapeName` (string, required)
- `versionName` (string, required)
- `draftHandleId` (string, optional)
- `draftName` (string, optional)
- `filterDiagramHandleId` (string, optional)
- `filterDiagramName` (string, optional)
- `filterDiagramType` (enum, optional)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `filterFlowHandleId` (string, optional)
- `filterFlowName` (string, optional)
- `filterModelObjectHandleId` (string, optional)
- `filterModelObjectName` (string, optional)
- `filterModelObjectType` (enum, optional)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`

### ActionLandscapeExportProps

- `bucketPath` (string, required)
- `filename` (string, required)
- `type` (enum, required)
  - Allowed values: `pdf`, `markdown`, `html`, `llms`, `json`, `object-csv`, `connection-csv`
- `versionId` (string, required)
- `filter` (LandscapeExportFilter, optional)
- `options` (LandscapeExportOptions, optional)

### ActionLandscapeImportContext

- `landscapeName` (string, required)
- `versionName` (string, required)

### ActionLandscapeImportProps

- `bucketPath` (string, required)
- `modelConnectionCount` (double, required)
- `modelObjectCount` (double, required)
- `modelObjectTypeCount` (map from string to double, required)
- `tagCount` (double, required)
- `tagGroupCount` (double, required)
- `versionId` (string, required)
- `prune` (boolean, optional)

### ActionModelObjectCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupNames` (map from string to string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `teamNames` (map from string to string, optional)
- `technologyNames` (map from string to string, optional)

### ModelObjectRequired

- `name` (string, required)
- `parentId` (string, required, nullable) — Parent model object ID, null for the root level model object
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `caption` (string, optional) — Short summary of the object shown as the display description
- `commit` (double, optional)
- `description` (string, optional)
- `external` (boolean, optional)
- `groupIds` (list of string, optional) — IDs of the groups this model object belongs to
- `icon` (ModelObjectIcon, optional, nullable)
- `labels` (map from string to string, optional) — Generic key value store used for creating custom integrations
- `links` (map from string to RealityLinkRequired, optional)
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, optional) — Tag IDs assigned to this model
- `teamIds` (list of string, optional) — Team IDs that own this model object, does not propergate up or down
- `teamOnlyEditing` (boolean, optional) — Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins
- `technologyIds` (list of string, optional) — Technology IDs assigned to this model
- `domainId` (string, optional)
- `handleId` (string, optional)

### ActionModelObjectUpdateContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupNames` (map from string to string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `teamNames` (map from string to string, optional)
- `technologyNames` (map from string to string, optional)

### ModelObjectPartial

- `caption` (string, optional) — Short summary of the object shown as the display description
- `commit` (double, optional)
- `description` (string, optional)
- `external` (boolean, optional)
- `groupIds` (ModelObjectPartialGroupIds, optional)
- `icon` (ModelObjectIcon, optional, nullable)
- `labels` (map from string to string, optional) — Generic key value store used for creating custom integrations
- `links` (ModelObjectPartialLinks, optional)
- `name` (string, optional)
- `parentId` (string, optional, nullable) — Parent model object ID, null for the root level model object
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (ModelObjectPartialTagIds, optional)
- `teamIds` (ModelObjectPartialTeamIds, optional)
- `teamOnlyEditing` (boolean, optional) — Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins
- `technologyIds` (ModelObjectPartialTechnologyIds, optional)
- `type` (enum, optional)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`

### ActionModelObjectDependenciesExportContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `versionName` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionModelObjectDependenciesExportProps

- `type` (enum, required)
  - Allowed values: `json`
- `versionId` (string, required)

### ActionModelObjectsExportContext

- `landscapeName` (string, required)
- `versionName` (string, required)

### ActionModelObjectsExportProps

- `type` (enum, required)
  - Allowed values: `csv`
- `versionId` (string, required)

### ActionModelObjectDeleteContext

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `groupNames` (map from string to string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `teamNames` (map from string to string, optional)
- `technologyNames` (map from string to string, optional)

### ActionModelConnectionCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `originModelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `targetModelFamily` (list of ActionContextModelObject, optional)
- `technologyNames` (map from string to string, optional)
- `viaModelFamily` (list of ActionContextModelObject, optional)

### ModelConnectionRequired

- `direction` (enum, required, nullable)
  - Allowed values: `outgoing`, `bidirectional`
- `name` (string, required)
- `originId` (string, required) — Model object that initiates the connection
- `targetId` (string, required) — Model object that receives the message
- `commit` (double, optional)
- `description` (string, optional)
- `labels` (map from string to string, optional)
- `links` (map from string to RealityLinkRequired, optional)
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, optional) — Tag IDs assigned to this model
- `technologyIds` (list of string, optional) — Technology IDs assigned to this model
- `viaId` (string, optional, nullable) — Model object that facilitates the connection, such as a Kafka topic, or RabbitMQ queue
- `handleId` (string, optional)

### ActionModelConnectionUpdateContext

- `name` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `originModelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `targetModelFamily` (list of ActionContextModelObject, optional)
- `technologyNames` (map from string to string, optional)
- `viaModelFamily` (list of ActionContextModelObject, optional)

### ModelConnectionPartial

- `commit` (double, optional)
- `description` (string, optional)
- `direction` (enum, optional, nullable)
  - Allowed values: `outgoing`, `bidirectional`
- `labels` (map from string to string, optional)
- `links` (ModelConnectionPartialLinks, optional)
- `name` (string, optional)
- `originId` (string, optional) — Model object that initiates the connection
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (ModelConnectionPartialTagIds, optional)
- `targetId` (string, optional) — Model object that receives the message
- `technologyIds` (ModelConnectionPartialTechnologyIds, optional)
- `viaId` (string, optional, nullable) — Model object that facilitates the connection, such as a Kafka topic, or RabbitMQ queue

### ActionModelConnectionsExportContext

- `landscapeName` (string, required)
- `versionName` (string, required)

### ActionModelConnectionsExportProps

- `type` (enum, required)
  - Allowed values: `csv`
- `versionId` (string, required)

### ActionModelConnectionDeleteContext

- `name` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `originModelFamily` (list of ActionContextModelObject, optional)
- `tagNames` (map from string to string, optional)
- `targetModelFamily` (list of ActionContextModelObject, optional)
- `technologyNames` (map from string to string, optional)
- `viaModelFamily` (list of ActionContextModelObject, optional)

### ActionShareLinkCreateContext

- `versionModelHandleId` (string, required, nullable)
- `versionName` (string, required)
- `draftHandleId` (string, optional, nullable)
- `draftName` (string, optional)

### ShareLinkRequired

- `protected` (boolean, required)
- `password` (string, optional)
- `draftId` (string, optional, nullable)

### ActionShareLinkUpdateContext

- `shortId` (string, required)
- `versionModelHandleId` (string, required, nullable)
- `versionName` (string, required)
- `draftHandleId` (string, optional, nullable)
- `draftName` (string, optional)

### ActionShareLinkUpdateProps

- `resetShortId` (boolean, required)
- `password` (string, optional)
- `protected` (boolean, optional)

### ActionShareLinkDeleteContext

- `shortId` (string, required)
- `versionModelHandleId` (string, required, nullable)
- `versionName` (string, required)
- `draftHandleId` (string, optional, nullable)
- `draftName` (string, optional)

### FlowStep

- `description` (string, required) — Descriptive name for the flow step
- `flowId` (string, required, nullable)
- `id` (string, required)
- `index` (double, required)
- `originId` (string, required, nullable)
- `parentId` (string, required, nullable)
- `paths` (map from string to FlowStepPath, required, nullable)
- `targetId` (string, required, nullable)
- `type` (enum, required, nullable) — Type of flow step - deprecated values: reply
  - Allowed values: `alternate-path`, `subflow`, `outgoing`, `parallel-path`, `reply`, `self-action`, `introduction`, `information`, `conclusion`
- `viaId` (string, required, nullable)
- `detailedDescription` (string, optional) — Long description for the flow step

### ActionFlowContextObject

- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `store`, `system`

### FlowPartialSteps

- `$add` (map from string to FlowStep, optional)
- `$remove` (list of string, optional)
- `$replace` (map from string to FlowStep, optional)
- `$update` (map from string to FlowStepPartial, optional)

### ActionVersionCreateContext

- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### VersionRequired

- `modelHandleId` (string, required, nullable)
- `name` (string, required)
- `notes` (string, required)

### ActionVersionDeleteContext

- `versionName` (string, required)
- `domainHandleId` (string, optional)
- `domainName` (string, optional)
- `modelFamily` (list of ActionContextModelObject, optional)

### ActionVersionRevertContext

- `name` (string, required)

### VersionRevertRequired

- `notes` (string, required)
- `versionId` (string, required)

### OrganizationAIFeatures

AI features that are enabled for the organization

- `generateDetailedDescriptions` (boolean, optional) — Whether to enable detailed descriptions for objects, connections, and diagrams
- `generateDisplayDescriptions` (boolean, optional) — Whether to enable display descriptions for objects
- `generateDraftSummary` (boolean, optional) — Whether to enable draft summaries for diagrams
- `generateObjectSummary` (boolean, optional) — Whether to enable object summaries for objects and connections in the right click context menu

### CommentBodyQuestion

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `open`, `resolved`
- `type` (enum, required)
  - Allowed values: `question`
- `showContentPreview` (boolean, optional)

### CommentBodyInaccuracy

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `open`, `resolved`
- `type` (enum, required)
  - Allowed values: `inaccurate`
- `showContentPreview` (boolean, optional)

### CommentBodyIdea

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `active`, `dismissed`
- `type` (enum, required)
  - Allowed values: `idea`
- `showContentPreview` (boolean, optional)

### CommentBodyNewQuestion

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `create`
- `type` (enum, required)
  - Allowed values: `new-question`
- `showContentPreview` (boolean, optional)

### CommentBodyNewInaccuracy

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `create`
- `type` (enum, required)
  - Allowed values: `new-inaccurate`
- `showContentPreview` (boolean, optional)

### CommentBodyNewIdea

- `content` (string, required)
- `status` (enum, required)
  - Allowed values: `create`
- `type` (enum, required)
  - Allowed values: `new-idea`
- `showContentPreview` (boolean, optional)

### DiagramConnectionRequiredBreakpointsItems

- `x` (double, required)
- `y` (double, required)

### DiagramConnectionRequiredPointsItems

- `x` (double, required)
- `y` (double, required)

### DiagramCommentPartial

- `commentId` (string, optional) — The id of the comment this marker displays
- `id` (string, optional) — The id of the comment marker, unique within the diagram
- `x` (double, optional) — The x position of the comment on the diagram
- `y` (double, optional) — The y position of the comment on the diagram

### DiagramConnectionPartial

- `breakpoints` (list of DiagramConnectionPartialBreakpointsItems, optional) — User-controlled corner waypoints the connection routes through, ordered origin to target. Only valid on square connections, breakpoints are not stored on any other line shape and setting them on one is rejected. The path must be a valid orthogonal L-shape: consecutive breakpoints share an x or a y (no diagonals), no two are identical, and every interior breakpoint is a right-angle corner (segments alternate horizontal/vertical, no collinear or backtracking points).
- `labelPosition` (double, optional) — The percentage along the line where the label should be placed, defaults to 50
- `lineShape` (enum, optional) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `modelId` (string, optional, nullable) — The id of the model connection this connection represents
- `originConnector` (enum, optional) — The anchor point on the edge of the origin object where the connection attaches
  - Allowed values: `top-left`, `top-center`, `top-right`, `right-top`, `right-middle`, `right-bottom`, `bottom-right`, `bottom-center`, `bottom-left`, `left-bottom`, `left-middle`, `left-top`
- `originId` (string, optional, nullable) — The id of the diagram object the connection starts from
- `targetConnector` (enum, optional) — The anchor point on the edge of the target object where the connection attaches
  - Allowed values: `top-left`, `top-center`, `top-right`, `right-top`, `right-middle`, `right-bottom`, `bottom-right`, `bottom-center`, `bottom-left`, `left-bottom`, `left-middle`, `left-top`
- `targetId` (string, optional, nullable) — The id of the diagram object the connection ends at
- `points` (list of DiagramConnectionPartialPointsItems, optional, deprecated) — Deprecated: points are now computed automatically

### DiagramObjectPartial

An object placed on a diagram

- `height` (double, optional) — The height of the object. Calculated automatically for area shapes, set to 0 when creating an area, defaults to 128
- `modelId` (string, optional) — The id of the model object this object represents
- `shape` (enum, optional)
  - Allowed values: `area`, `box`
- `type` (enum, optional)
  - Allowed values: `actor`, `app`, `component`, `group`, `store`, `system`
- `width` (double, optional) — The width of the object. Calculated automatically for area shapes, set to 0 when creating an area, defaults to 256
- `x` (double, optional) — The x position of the object. Calculated automatically for area shapes, set to 0 when creating an area
- `y` (double, optional) — The y position of the object. Calculated automatically for area shapes, set to 0 when creating an area

### DiagramExportImageOptions

- `draftId` (string, optional) — Fetch and apply draft tasks before producing the export
- `flowId` (string, optional)
- `flowPathIds` (list of string, optional)
- `focusIds` (list of string, optional)
- `groupId` (string, optional)
- `hideIds` (list of string, optional)
- `maxWidth` (integer, optional) — Maximum pixel width for the exported PNG. The image will be scaled down if the diagram exceeds this width. Defaults to no limit (up to 10240px).
- `pinIds` (list of string, optional)
- `tab` (enum, optional)
  - Allowed values: `tags`, `technology`, `status`, `teams`
- `theme` (enum, optional)
  - Allowed values: `light`, `dark`

### DraftChangeSummary

- `createdAt` (datetime, required)
- `summary` (string, required)
- `updatedAt` (datetime, required)

### DraftTaskCommentCreate

- `entityId` (string, required)
- `props` (DraftTaskCommentCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-create`

### DraftTaskCommentUpdate

- `entityId` (string, required)
- `props` (DraftTaskCommentUpdateProps, required)
- `snapshot` (DraftTaskCommentUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-update`

### DraftTaskCommentDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-delete`

### DraftTaskCommentReplyCreate

- `commentId` (string, required)
- `entityId` (string, required)
- `props` (DraftTaskCommentReplyCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-reply-create`

### DraftTaskCommentReplyUpdate

- `commentId` (string, required)
- `entityId` (string, required)
- `props` (DraftTaskCommentReplyUpdateProps, required)
- `snapshot` (DraftTaskCommentReplyUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-reply-update`

### DraftTaskCommentReplyDelete

- `commentId` (string, required)
- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-comment-reply-delete`

### DraftTaskDiagramCreate

- `entityId` (string, required)
- `props` (DraftTaskDiagramCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-create`

### DraftTaskDiagramUpdate

- `entityId` (string, required)
- `props` (DraftTaskDiagramUpdateProps, required)
- `snapshot` (DraftTaskDiagramUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-update`

### DraftTaskDiagramDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-delete`

### DraftTaskDiagramContentUpdate

- `entityId` (string, required)
- `props` (DraftTaskDiagramContentUpdateProps, required)
- `snapshot` (DraftTaskDiagramContentUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-content-update`

### DraftTaskDiagramGroupCreate

- `entityId` (string, required)
- `props` (DraftTaskDiagramGroupCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-group-create`

### DraftTaskDiagramGroupUpdate

- `entityId` (string, required)
- `props` (DraftTaskDiagramGroupUpdateProps, required)
- `snapshot` (DraftTaskDiagramGroupUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-group-update`

### DraftTaskDiagramGroupDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-diagram-group-delete`

### DraftTaskModelObjectCreate

- `entityId` (string, required)
- `props` (DraftTaskModelObjectCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-model-object-create`

### DraftTaskModelObjectUpdate

- `entityId` (string, required)
- `props` (DraftTaskModelObjectUpdateProps, required)
- `snapshot` (DraftTaskModelObjectUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-model-object-update`

### DraftTaskModelObjectDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-model-object-delete`

### DraftTaskModelConnectionCreate

- `entityId` (string, required)
- `props` (DraftTaskModelConnectionCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-model-connection-create`

### DraftTaskModelConnectionUpdate

- `entityId` (string, required)
- `props` (DraftTaskModelConnectionUpdateProps, required)
- `snapshot` (DraftTaskModelConnectionUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-model-connection-update`

### DraftTaskModelConnectionDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-model-connection-delete`

### DraftTaskFlowCreate

- `entityId` (string, required)
- `props` (DraftTaskFlowCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-flow-create`

### DraftTaskFlowUpdate

- `entityId` (string, required)
- `props` (DraftTaskFlowUpdateProps, required)
- `snapshot` (DraftTaskFlowUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-flow-update`

### DraftTaskFlowDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-flow-delete`

### DraftTaskTagCreate

- `entityId` (string, required)
- `props` (DraftTaskTagCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-create`

### DraftTaskTagUpdate

- `entityId` (string, required)
- `props` (DraftTaskTagUpdateProps, required)
- `snapshot` (DraftTaskTagUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-update`

### DraftTaskTagDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-delete`

### DraftTaskTagGroupCreate

- `entityId` (string, required)
- `props` (DraftTaskTagGroupCreateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-group-create`

### DraftTaskTagGroupUpdate

- `entityId` (string, required)
- `props` (DraftTaskTagGroupUpdateProps, required)
- `snapshot` (DraftTaskTagGroupUpdateProps, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-group-update`

### DraftTaskTagGroupDelete

- `entityId` (string, required)
- `type` (enum, required)
  - Allowed values: `draft-tag-group-delete`

### LandscapeExportFilter

- `diagramId` (string, optional)
- `flowId` (string, optional)
- `includeDiagrams` (boolean, optional) — Whether or not to include diagrams in PDF exports, defaults to true
- `includeFlows` (boolean, optional) — Whether or not to include flows in PDF exports, defaults to true
- `modelObjectId` (string, optional)

### LandscapeExportOptions

- `draftId` (string, optional) — Fetch and apply draft tasks before producing the export
- `orientation` (enum, optional) — Orientation to use when exporting to PDF, defaults to portrait
  - Allowed values: `portrait`, `landscape`
- `schema` (enum, optional) — Schema version to use for JSON exports, defaults to v1
  - Allowed values: `v1`, `v2`

### ModelObjectIcon

- `catalogTechnologyId` (string, required)
- `name` (string, required)
- `urlDark` (string, optional) — Icon that only works on dark backgrounds
- `urlLight` (string, optional) — Icon that only works on light backgrounds
- `url` (string, optional, deprecated) — Use either urlDark or urlLight

### RealityLinkRequired

- `connectionResolveUrl` (string, optional) — Resolve the connector from a publicly accessible URL
- `connector` (RealityConnector, optional) — Links this to a resource in reality, if set periodic checks are performed and the status is updated
- `customName` (string, optional, nullable) — Friendly name for the link set by the user
- `index` (double, optional)
- `url` (string, optional) — Accessible link URL when not using a connector

### ModelObjectPartialGroupIds

- list of string
- ModelObjectPartialGroupIds1

### ModelObjectPartialLinks

- `$add` (map from string to RealityLinkRequired, optional)
- `$remove` (list of string, optional)
- `$replace` (map from string to RealityLinkRequired, optional)
- `$update` (map from string to RealityLinkPartial, optional)

### ModelObjectPartialTagIds

- list of string
- ModelObjectPartialTagIds1

### ModelObjectPartialTeamIds

- list of string
- ModelObjectPartialTeamIds1

### ModelObjectPartialTechnologyIds

- list of string
- ModelObjectPartialTechnologyIds1

### ModelConnectionPartialLinks

- `$add` (map from string to RealityLinkRequired, optional)
- `$remove` (list of string, optional)
- `$replace` (map from string to RealityLinkRequired, optional)
- `$update` (map from string to RealityLinkPartial, optional)

### ModelConnectionPartialTagIds

- list of string
- ModelConnectionPartialTagIds1

### ModelConnectionPartialTechnologyIds

- list of string
- ModelConnectionPartialTechnologyIds1

### FlowStepPath

- `id` (string, required)
- `index` (double, required)
- `name` (string, required)

### FlowStepPartial

- `description` (string, optional) — Descriptive name for the flow step
- `detailedDescription` (string, optional) — Long description for the flow step
- `flowId` (string, optional, nullable)
- `id` (string, optional)
- `index` (double, optional)
- `originId` (string, optional, nullable)
- `parentId` (string, optional, nullable)
- `paths` (map from string to FlowStepPath, optional, nullable)
- `targetId` (string, optional, nullable)
- `type` (enum, optional, nullable) — Type of flow step - deprecated values: reply
  - Allowed values: `alternate-path`, `subflow`, `outgoing`, `parallel-path`, `reply`, `self-action`, `introduction`, `information`, `conclusion`
- `viaId` (string, optional, nullable)

### DiagramConnectionPartialBreakpointsItems

- `x` (double, required)
- `y` (double, required)

### DiagramConnectionPartialPointsItems

- `x` (double, required)
- `y` (double, required)

### DraftTaskCommentCreateProps

- `body` (CommentBody, required)
- `commit` (double, optional)
- `handleId` (string, optional)
- `mentionedUserIds` (list of string, optional)

### DraftTaskCommentUpdateProps

- `body` (CommentBody, optional)
- `commit` (double, optional)
- `mentionedUserIds` (list of string, optional)

### DraftTaskCommentReplyCreateProps

- `content` (string, required)
- `mentionedUserIds` (list of string, optional)

### DraftTaskCommentReplyUpdateProps

- `content` (string, optional)
- `mentionedUserIds` (list of string, optional)

### DraftTaskDiagramCreateProps

- `index` (double, required)
- `modelId` (string, required) — model object id this object belongs to
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `comments` (map from string to DiagramComment, optional) — The comments on the diagram, keyed by comment id
- `commit` (double, optional)
- `connections` (map from string to DiagramConnectionRequired, optional) — The connections on the diagram, keyed by connection id
- `description` (string, optional)
- `groupId` (string, optional, nullable)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)
- `objects` (map from string to DiagramObjectRequired, optional) — The objects on the diagram, keyed by object id
- `parentId` (string, optional, nullable)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `status` (enum, optional)
  - Allowed values: `current`
- `zoomOverrides` (map from string to string, optional, nullable) — Custom zoom levels for specific model objects within the diagram. The key is the modelObjectId and the value is the diagram id.

### DraftTaskDiagramUpdateProps

- `comments` (DiagramContentPartialComments, optional) — Operations to apply to the comments on the diagram
- `commit` (double, optional)
- `connections` (DiagramContentPartialConnections, optional) — Operations to apply to the connections on the diagram
- `description` (string, optional)
- `groupId` (string, optional, nullable)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `modelId` (string, optional) — model object id this object belongs to
- `name` (string, optional)
- `objects` (DiagramContentPartialObjects, optional) — Operations to apply to the objects on the diagram
- `parentId` (string, optional, nullable)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `status` (enum, optional)
  - Allowed values: `current`
- `zoomOverrides` (map from string to string, optional, nullable) — Custom zoom levels for specific model objects within the diagram. The key is the modelObjectId and the value is the diagram id.

### DraftTaskDiagramContentUpdateProps

- `comments` (DiagramContentPartialComments, optional) — Operations to apply to the comments on the diagram
- `commit` (double, optional) — The commit number of the diagram content, incremented on each change
- `connections` (DiagramContentPartialConnections, optional) — Operations to apply to the connections on the diagram
- `objects` (DiagramContentPartialObjects, optional) — Operations to apply to the objects on the diagram

### DraftTaskDiagramGroupCreateProps

- `modelId` (string, required)
- `name` (string, required)
- `commit` (double, optional)
- `handleId` (string, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)

### DraftTaskDiagramGroupUpdateProps

- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `modelId` (string, optional)
- `name` (string, optional)

### DraftTaskModelObjectCreateProps

- `name` (string, required)
- `parentId` (string, required, nullable) — Parent model object ID, null for the root level model object
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `caption` (string, optional) — Short summary of the object shown as the display description
- `commit` (double, optional)
- `description` (string, optional)
- `domainId` (string, optional)
- `external` (boolean, optional)
- `groupIds` (list of string, optional) — IDs of the groups this model object belongs to
- `handleId` (string, optional)
- `icon` (ModelObjectIcon, optional, nullable)
- `labels` (map from string to string, optional) — Generic key value store used for creating custom integrations
- `links` (map from string to RealityLinkRequired, optional)
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, optional) — Tag IDs assigned to this model
- `teamIds` (list of string, optional) — Team IDs that own this model object, does not propergate up or down
- `teamOnlyEditing` (boolean, optional) — Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins
- `technologyIds` (list of string, optional) — Technology IDs assigned to this model

### DraftTaskModelObjectUpdateProps

- `caption` (string, optional) — Short summary of the object shown as the display description
- `commit` (double, optional)
- `description` (string, optional)
- `external` (boolean, optional)
- `groupIds` (ModelObjectPartialGroupIds, optional)
- `icon` (ModelObjectIcon, optional, nullable)
- `labels` (map from string to string, optional) — Generic key value store used for creating custom integrations
- `links` (ModelObjectPartialLinks, optional)
- `name` (string, optional)
- `parentId` (string, optional, nullable) — Parent model object ID, null for the root level model object
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (ModelObjectPartialTagIds, optional)
- `teamIds` (ModelObjectPartialTeamIds, optional)
- `teamOnlyEditing` (boolean, optional) — Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins
- `technologyIds` (ModelObjectPartialTechnologyIds, optional)
- `type` (enum, optional)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`

### DraftTaskModelConnectionCreateProps

- `direction` (enum, required, nullable)
  - Allowed values: `outgoing`, `bidirectional`
- `name` (string, required)
- `originId` (string, required) — Model object that initiates the connection
- `targetId` (string, required) — Model object that receives the message
- `commit` (double, optional)
- `description` (string, optional)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)
- `links` (map from string to RealityLinkRequired, optional)
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, optional) — Tag IDs assigned to this model
- `technologyIds` (list of string, optional) — Technology IDs assigned to this model
- `viaId` (string, optional, nullable) — Model object that facilitates the connection, such as a Kafka topic, or RabbitMQ queue

### DraftTaskModelConnectionUpdateProps

- `commit` (double, optional)
- `description` (string, optional)
- `direction` (enum, optional, nullable)
  - Allowed values: `outgoing`, `bidirectional`
- `labels` (map from string to string, optional)
- `links` (ModelConnectionPartialLinks, optional)
- `name` (string, optional)
- `originId` (string, optional) — Model object that initiates the connection
- `status` (enum, optional)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (ModelConnectionPartialTagIds, optional)
- `targetId` (string, optional) — Model object that receives the message
- `technologyIds` (ModelConnectionPartialTechnologyIds, optional)
- `viaId` (string, optional, nullable) — Model object that facilitates the connection, such as a Kafka topic, or RabbitMQ queue

### DraftTaskFlowCreateProps

- `diagramId` (string, required)
- `name` (string, required)
- `commit` (double, optional)
- `handleId` (string, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `showAllSteps` (boolean, optional)
- `showConnectionNames` (boolean, optional)
- `steps` (map from string to FlowStep, optional)

### DraftTaskFlowUpdateProps

- `commit` (double, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)
- `pinned` (boolean, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `showAllSteps` (boolean, optional)
- `showConnectionNames` (boolean, optional)
- `steps` (FlowPartialSteps, optional)

### DraftTaskTagCreateProps

- `color` (enum, required)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `groupId` (string, required)
- `index` (double, required)
- `name` (string, required)
- `commit` (double, optional)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)

### DraftTaskTagUpdateProps

- `color` (enum, optional)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `commit` (double, optional)
- `groupId` (string, optional)
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)

### DraftTaskTagGroupCreateProps

- `icon` (enum, required)
  - Allowed values: `bug`, `calendar-check`, `calendar-times`, `cloud`, `cog`, `database`, `exclamation-triangle`, `file`, `globe`, `laptop-code`, `lightbulb`, `lock`, `microchip`, `minus`, `mobile`, `network-wired`, `plus`, `poo`, `robot`, `rocket`, `sack-dollar`, `server`, `sledding`, `snowman`, `star`, `times`, `toolbox`, `trash`, `users`, `wifi`
- `index` (double, required)
- `name` (string, required)
- `commit` (double, optional)
- `handleId` (string, optional)
- `labels` (map from string to string, optional)

### DraftTaskTagGroupUpdateProps

- `commit` (double, optional)
- `icon` (enum, optional)
  - Allowed values: `bug`, `calendar-check`, `calendar-times`, `cloud`, `cog`, `database`, `exclamation-triangle`, `file`, `globe`, `laptop-code`, `lightbulb`, `lock`, `microchip`, `minus`, `mobile`, `network-wired`, `plus`, `poo`, `robot`, `rocket`, `sack-dollar`, `server`, `sledding`, `snowman`, `star`, `times`, `toolbox`, `trash`, `users`, `wifi`
- `index` (double, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)

### RealityConnector

- RealityConnectorUrl
- RealityConnectorAzureDevopsRepo
- RealityConnectorAzureDevopsBranch
- RealityConnectorAzureDevopsFolder
- RealityConnectorAzureDevopsFile
- RealityConnectorBitbucketRepo
- RealityConnectorBitbucketBranch
- RealityConnectorBitbucketFolder
- RealityConnectorBitbucketFile
- RealityConnectorBitbucketServerRepo
- RealityConnectorBitbucketServerBranch
- RealityConnectorBitbucketServerFolder
- RealityConnectorBitbucketServerFile
- RealityConnectorGithubRepo
- RealityConnectorGithubBranch
- RealityConnectorGithubFolder
- RealityConnectorGithubFile
- RealityConnectorGitlabRepo
- RealityConnectorGitlabBranch
- RealityConnectorGitlabFolder
- RealityConnectorGitlabFile

### ModelObjectPartialGroupIds1

Update individual group ids

- `$add` (list of string, optional) — Append group ids to the list
- `$remove` (list of string, optional) — Remove group ids from the list

### RealityLinkPartial

- `connectionResolveUrl` (string, optional) — Resolve the connector from a publicly accessible URL
- `connector` (RealityConnector, optional) — Links this to a resource in reality, if set periodic checks are performed and the status is updated
- `customName` (string, optional, nullable) — Friendly name for the link set by the user
- `index` (double, optional)
- `url` (string, optional) — Accessible link URL when not using a connector

### ModelObjectPartialTagIds1

Update individual tag ids

- `$add` (list of string, optional) — Append tag ids to the list
- `$remove` (list of string, optional) — Remove tag ids from the list

### ModelObjectPartialTeamIds1

Update individual team ids

- `$add` (list of string, optional) — Append team ids to the list
- `$remove` (list of string, optional) — Remove team ids from the list

### ModelObjectPartialTechnologyIds1

Update individual technology ids

- `$add` (list of string, optional) — Append technology ids to the list
- `$remove` (list of string, optional) — Remove technology ids from the list

### ModelConnectionPartialTagIds1

Update individual tag IDs

- `$add` (list of string, optional) — Append tag IDs to the list
- `$remove` (list of string, optional) — Remove tag IDs from the list

### ModelConnectionPartialTechnologyIds1

Update individual technology IDs

- `$add` (list of string, optional) — Append technology IDs to the list
- `$remove` (list of string, optional) — Remove technology IDs from the list

### RealityConnectorUrl

- `type` (enum, required)
  - Allowed values: `url`
- `url` (string, required)

### RealityConnectorAzureDevopsRepo

- `accountName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-repo`

### RealityConnectorAzureDevopsBranch

- `accountName` (string, required)
- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-branch`

### RealityConnectorAzureDevopsFolder

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-folder`

### RealityConnectorAzureDevopsFile

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-file`

### RealityConnectorBitbucketRepo

- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-repo`
- `workspaceId` (string, required)

### RealityConnectorBitbucketBranch

- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-branch`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-folder`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-file`
- `workspaceId` (string, required)

### RealityConnectorBitbucketServerRepo

- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-repo`

### RealityConnectorBitbucketServerBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-branch`

### RealityConnectorBitbucketServerFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-folder`

### RealityConnectorBitbucketServerFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-file`

### RealityConnectorGithubRepo

- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-repo`

### RealityConnectorGithubBranch

- `branchName` (string, required)
- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-branch`

### RealityConnectorGithubFolder

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-folder`

### RealityConnectorGithubFile

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-file`

### RealityConnectorGitlabRepo

- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-repo`

### RealityConnectorGitlabBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-branch`

### RealityConnectorGitlabFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-folder`

### RealityConnectorGitlabFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-file`

## Examples

**Response**

```json
{
  "actionLogs": [
    {
      "action": {
        "id": "string",
        "props": {
          "name": "string",
          "permission": "billing"
        },
        "type": "api-key-create"
      },
      "actionIds": [
        "string"
      ],
      "id": "string",
      "landscapeId": "string",
      "parentId": "string",
      "performedAt": "2024-01-15T09:30:00Z",
      "performedBy": "user",
      "performedById": "string",
      "performedByAuthProvider": "string",
      "performedByClientId": "string",
      "performedByIp": "string",
      "performedByName": "string",
      "performedByUserAgent": "string"
    }
  ],
  "nextCursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/action-logs"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/action-logs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/action-logs");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```